# A skeleton Python3 pretty-printing script that reads in an integer
# and a filename from the command-line and creates a list of all the
# words in the file.  This program then prints each word to standard
# out.  (Your program will actually solve the pretty-print problem.)

import sys

def main():
    
    if len(sys.argv) < 3:
        # Note that argv[0] contains the program name
        print("Usage: python", sys.argv[0], "<max_line_length> <text_file>")
        sys.exit()

    # grab the first argument and make it an integer    
    L = int(sys.argv[1])

    print("You are requesting", L, "character display")

    # create a file handle to the input
    fin = open(sys.argv[2], "r")

    # read() returns the input as one string.
    # split() is a method of string.  By default it tokenizes the
    # input using *whitespace* as a delimiter.
    # Now words is a list of strings
    words = fin.read().split()

    fin.close()
    
    print("The list of words is")
    print()
    
    # iterate through the words and print them out, each on its own line
    for word in words:
        print(word)

    # TODO: Comment out the print statements above and solve the
    # problem!



if __name__ == '__main__':
    main()
