<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    <? include("header.html"); ?>
    

    <!-- ##### Side Menu ##### -->
    <? include("../sidebar.html"); ?>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

   <h1>PS1 FAQ</h1>

   <ul>

   <li><strong>Can I just graph the functions to determine which is the upper bound of the other?</strong>
   <p>
   Graphing may help give you some intuition/understanding, but it's not 
a proof.  When you're comparing two functions, do the same operation to 
both (e.g., divide by something, take the log of it) and then see if 
it's obvious which of the reduced functions is smaller.  (Why can you 
compare the reduced functions and draw conclusions about the original 
functions?)</p>

   <p>Look at the solved exercises at the end of Chapter 2 for additional guidance.</p>

</li>

<?
/*
    <li><strong>For problem 5, I wrote an algorithm that is obviously O(n).  Is that good enough?</strong>
<p>I'm not sure what you mean by "obviously" or by "good enough".  There is no "obvious" in this class.  Please explain (i.e., analyze) the running time of your algorithm, similar to how we've done in class, where we discuss the running time of the different parts and then the running time of the whole.

</li>
*/ 
?>

   </ul>
   

   </div>

</body>
</html>
