# Chapter 2, Problem 6 implementation (Python 2)
# Sara Sprenkle, 01.2011

N=10

def main():
    
    A = [0]*N
    print "\nA:", A
    test(A)
    
    A = [1]*N
    print "\nA:", A
    test(A)
    
    A = [0,1]*(N/2)
    print "\nA:", A
    test(A)
    
    A = [1,-1]*(N/2)
    print "\nA:", A
    test(A)
    
    A = [0,1,2]*(N/3)+[1]
    print "\nA:", A
    test(A)
    

def test(A):
    """Runs a test of the algorithm (calculateB) using array A.
    Initializes matrix B to all 0s."""
    B = createZeroMatrix(N)
    
    calculateB(A, B)
    
    print "final B:"
    printMatrix(B)

    
def calculateB(A, B):
    "Original algorithm to calculate matrix B, given array A."
    for i in xrange(N):
        for j in xrange(i+1,N):
            total = 0
            # FILL IN
            B[i][j] = total


def createZeroMatrix(N):
    "Create matrix, size NxN, filled with zeros."
    matrix = []
    for r in xrange(N):
        row = []
        for c in xrange(N):
            row.append(0)
        matrix.append(row)
    return matrix

    
def printMatrix(matrix):
    "Print out the matrix, each row to a line."
    for row in matrix:
        for col in row:
            print "%4d" % col,
        print
        
main()
